summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore1
-rwxr-xr-xtests/glcpp-test7
2 files changed, 5 insertions, 3 deletions
diff --git a/.gitignore b/.gitignore
index d67bd38c93..b88f0cc75c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -6,4 +6,5 @@ glcpp-parse.h
*~
tests/*.expected
tests/*.gcc
+tests/*.glcpp
tests/*.out
diff --git a/tests/glcpp-test b/tests/glcpp-test
index bf88d4462e..92c994979a 100755
--- a/tests/glcpp-test
+++ b/tests/glcpp-test
@@ -3,8 +3,9 @@ set -e
for test in *.c; do
echo "Testing $test"
- ../glcpp < $test > $test.out
+ ../glcpp < $test > $test.glcpp
+ grep -v '^$' < $test.glcpp > $test.out || true
gcc -E $test -o $test.gcc
- grep -v '^#' < $test.gcc > $test.expected
- diff -B -u $test.expected $test.out
+ grep -v '^#' < $test.gcc | grep -v '^$' > $test.expected || true
+ diff -u $test.expected $test.out
done